.\"
.\" Lander Version 1.0 by Mike Sweet
.\"
.\" Revision History:
.\"
.\"  Who              When     What
.\"  ---------------- -------- --------------------
.\"  Mike Sweet       6/19/91  Initial docs
.\"
.TH Lander 6 6/19/91 "Lunar Simulation"
.SH NAME
Lander \- Three Dimensional Lunar Lander Game
.sp
.SH SYNOPSIS
\fBlander [ -f ]\fR
.SH DESCRIPTION
\fILander\fR is a simplified simulation of a small spacecraft landing on a
fractal surface.  The display window contains a three-dimensional wireframe
view of the surface and a status display in the upper-lefthand corner.  The
surface itself is a square region 32 scale kilometers on a side.  The \fB-f\fR
option makes \fIlander\fR use the whole screen for its display window.
.PP
The motion of the spacecraft is controlled using the mouse.  Rotation and
vertical thrust are adjusted by holding the left mouse button down; rotation
is changed through horizontal motion of the mouse, while vertical thrust is
changed through the vertical axis.  Pulling the mouse downward causes thrust
downward and moves the craft upward.  The amount of available fuel affects
the total effect a given amount of thrust produces (more fuel = more mass).
.PP
Lateral movement is accomplished using a combination of rotation and forward/
reverse thrust.  The amount of thrust is increased using the right mouse
button and decreased using the middle mouse button.  The \fB0\fR key will
zero the forward/reverse thrust.
.PP
Since there is no air resistance, the spacecraft will continue in the
direction opposite the thrust was applied in.  The acceleration due to
gravity over the surface is 2 scale meters per second squared.
.PP
A landing is considered successful only if the total lateral movement of the
craft is less than 10 scale meters per second and the vertical movement is
less than 4 scale meters per second.  Each successful landing will add 200
units of fuel to the craft and increase your score.  A crash landing reduces
the fuel available by 100 units and also reduces your score.  The craft will
carry at most 4000 units of fuel.  The game is over once your craft has run
out of fuel.
.PP
Pressing the \fBP\fR key will pause and un-pause the game.  The \fBG\fR key
toggles gravity on and off.  The \fBHOME\fR key will restart the game with
a new surface.
.SH AUTHOR
Michael Sweet
.SH BUGS
The rotation of the spacecraft should be subject to the laws of momentum.
Control of the lander is almost impossible with the laws in place, however,
so that small amount of realism had to be sacrificed.
.PP
The display really ought to utilize the Z-buffer hardware to render a solid
landscape and increase the landscape resolution when possible.
